Bug 506429 - Review Request: eclipse-eclox - Eclipse-based doxygen plugin
Review Request: eclipse-eclox - Eclipse-based doxygen plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 05:32 EDT by Chitlesh GOORAH
Modified: 2009-07-16 03:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.8.0-2.20090616svn.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2009-06-17 05:32:38 EDT
Spec URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-eclox.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-eclox-0.8.0-1.20090616svn.fc11.src.rpm
Description:
Eclox is a doxygen frontend plug-in for eclipse.
It aims to provide a slim and sleek integration of the
code documentation process into eclipse.
Comment 1 Remi Collet 2009-06-21 13:13:39 EDT
- Is there a reason to package a SVN version rather than the official 0.8.0 ? (not a problem, just to know)

- Better URL seems to be http://eclox.eu/

- According to source file (eclox.core/src/eclox/core/Plugin.java p.e.) License is GPLv2+

- AUTHORS, CHANGES, COPYING, MANUAL, README and TODO still present despite of eclipse-eclox-bin_excludes.patch.

- It will be usefull to add them  in %doc
(perhaps, even with the full version download in your script eclipse-eclox-download.sh)

- Build and load ok (not really tested yet)
Comment 2 Chitlesh GOORAH 2009-07-02 05:16:23 EDT
(In reply to comment #1)
> - Is there a reason to package a SVN version rather than the official 0.8.0 ?
> (not a problem, just to know)

I was unable to find the sources of eclo, except compiled jars from upstream. Hence I pull the sources from svn.

> - Better URL seems to be http://eclox.eu/

fixed

> - According to source file (eclox.core/src/eclox/core/Plugin.java p.e.) License
> is GPLv2+

fixed

> - AUTHORS, CHANGES, COPYING, MANUAL, README and TODO still present despite of
> eclipse-eclox-bin_excludes.patch.

Actually, the patch was working, but there was also the build.properties of eclox.help which needed a similar patch

Updated  

Spec URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-eclox.spec
SRPM URL:
http://chitlesh.fedorapeople.org/RPMS/eclipse-eclox-0.8.0-2.20090616svn.fc11.src.rpm
Comment 3 Remi Collet 2009-07-12 04:04:53 EDT
> I was unable to find the sources of eclo, except compiled jars from upstream.
> Hence I pull the sources from svn.
I've also search in SVN and don't find any usefull tag :(

Should ask upstream (for future release) to provide a source tarball or simply a SVN tag.



REVIEW : 

+ RPMLINT is ok
eclipse-eclox-0.8.0-2.20090616svn.fc8.noarch.rpm
eclipse-eclox.src: I: checking
eclipse-eclox.src: W: strange-permission eclipse-eclox-download.sh 0755
eclipse-eclox.noarch: I: checking
+ package name ok 
+ spec filename ok
+ license ok
+ license match ok
+ upstream COPYING provided (link to website)
+ specfile in english and legible
+ source from SVN
+ BR okown all directories that it creates
+ build ok F11.x86_64
+ no locale
+ no shared library (no -devel needed)
+ own all directories that it creates
+ defattr ok
+ clean ok
+ macros ok
+ only code
+ small doc (no split needed, not required to run)
+ no desktop needed
+ not own files or directories already owned by other packages
+ install start with clean
+ all file are UTF8
+ build in mock (fedora-rawhide-x86_64)
+ package install and run 

APPROVED
Comment 4 Chitlesh GOORAH 2009-07-12 04:46:10 EDT
New Package CVS Request
=======================
Package Name: eclipse-eclox
Short Description: Eclipse-based doxygen plugin
Owners: chitlesh
Branches: F-10 F11 EL-5
Comment 5 Jason Tibbitts 2009-07-12 13:01:28 EDT
Note that "F11" is not a branch name; I created an F-11 branch instead.

CVS done.
Comment 6 Fedora Update System 2009-07-12 17:15:51 EDT
eclipse-eclox-0.8.0-2.20090616svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-eclox-0.8.0-2.20090616svn.fc11
Comment 7 Fedora Update System 2009-07-16 03:28:05 EDT
eclipse-eclox-0.8.0-2.20090616svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.